BLACK-HAT(1)

NAME
black-hat - finds and displays a black-hole path

SYNOPSIS
black-hat [PROGNAME] [OPTION]...

DESCRIPTION
black-hat is a one-shot tool for displaying a simple trace of a program containing a black-hole error. The trace shows the pattern of function reductions from the first variable in the black hole, to the next appearance of that variable. Note that the traced program must first be compiled using the Hat tracing tools, and executed to generate a trace file.

OPTIONS
Possible options are as follows:

--showqual[=(t,f)]
    control whether to show functions qualified by the name of their module

--cutoff=DEPTH
    subexpressions in printed expressions are cut off and replaced with a placeholder below a depth of DEPTH

--showrt[=(t,f)]
    control whether to show the root of the search path, or just the path from the black-hole variable

--srcref[=(t,f)]
    control whether to show source references for each expression on the path

--showcount[=(t,f)]
    control whether to show the number of accesses to the file nodes

--shownode[=(t,f)]
    (DEBUGGING OPTION) control whether to show the octal addresses of the expression nodes, along side the pretty-printed versions

AUTHOR
Written by Mike Dodds.

REPORTING BUGS
Report bugs to <hat@haskell.org>

COPYRIGHT
Copyright © 2004 University of York.
This is free software without warranty of any kind.

SEE ALSO
hat-nonterm is one of many tools in the Hat tracing system for Haskell programs. For further information about Hat see http://haskell.org/hat